CVE-2017-7411

Published on: 10/30/2017 12:00:00 AM UTC

Last Modified on: 03/23/2021 11:26:40 PM UTC

CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Certain versions of Tuleap from Enalean contain the following vulnerability:

An issue was discovered in Enalean Tuleap 9.6 and prior versions. The vulnerability exists because the User::getRecentElements() method is using the unserialize() function with a preference value that can be arbitrarily manipulated by malicious users through the REST API interface, and this can be exploited to inject arbitrary PHP objects into the application scope, allowing an attacker to perform a variety of attacks (including but not limited to Remote Code Execution).

  • CVE-2017-7411 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as HIGH severity.

CVSS3 Score: 8.8 - HIGH

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW LOW NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 6.5 - MEDIUM

Access
Vector
Access
Complexity
Authentication
NETWORK LOW SINGLE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
Tuleap 9.6 Second-Order PHP Object Injection ≈ Packet Storm Issue Tracking
Third Party Advisory
VDB Entry
packetstormsecurity.com
text/html
URL Logo MISC packetstormsecurity.com/files/144716/Tuleap-9.6-Second-Order-PHP-Object-Injection.html
Tuleap 9.6 - Second-Order PHP Object Injection (Metasploit) - PHP remote Exploit www.exploit-db.com
Proof of Concept
text/html
URL Logo EXPLOIT-DB 43374
Full Disclosure: [KIS-2017-02] Tuleap <= 9.6 Second-Order PHP Object Injection Vulnerability Issue Tracking
Mailing List
Third Party Advisory
seclists.org
text/html
URL Logo FULLDISC 20171023 [KIS-2017-02] Tuleap <= 9.6 Second-Order PHP Object Injection Vulnerability
Remote code execution through object unserialization of a user's - request #10118 - Requests - Tuleap Exploit
Issue Tracking
Vendor Advisory
tuleap.net
text/html
URL Logo CONFIRM tuleap.net/plugins/tracker/?aid=10118
Tuleap <= 9.6 Second-Order PHP Object Injection Vulnerability | Karma(In)Security Issue Tracking
Third Party Advisory
karmainsecurity.com
text/html
URL Logo MISC karmainsecurity.com/KIS-2017-02
oss-security - [KIS-2017-02] Tuleap <= 9.6 Second-Order PHP Object Injection Vulnerability Issue Tracking
Mailing List
Third Party Advisory
www.openwall.com
text/html
URL Logo MLIST [oss-security] 20171023 [KIS-2017-02] Tuleap <= 9.6 Second-Order PHP Object Injection Vulnerability

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationEnaleanTuleapAllAllAllAll
  • cpe:2.3:a:enalean:tuleap:*:*:*:*:*:*:*:*:
© CVE.report 2022 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report